<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tool="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">


    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_112">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_all"
            android:layout_width="@dimen/dp_57"
            android:layout_height="match_parent"
            android:layout_marginLeft="@dimen/dp_42"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/im_all"
                android:layout_width="@dimen/dp_57"
                android:layout_height="@dimen/dp_57"
                android:layout_marginTop="19dp"
                android:background="@drawable/icon_message_tab_all"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_all"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="19dp"
                android:text="全部"
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_12"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent" />

            <TextView
                android:id="@+id/tv_all_unread"
                android:layout_width="wrap_content"
                android:layout_height="@dimen/dp_14"
                android:layout_marginBottom="10dp"
                android:background="@drawable/bg_unread_red"
                android:gravity="center"
                android:minWidth="@dimen/dp_14"
                android:paddingLeft="4dp"
                android:paddingRight="4dp"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_11"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@+id/im_all"
                app:layout_constraintRight_toRightOf="@+id/im_all"
                tool:text="1"
                tool:visibility="visible" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_course"
            android:layout_width="@dimen/dp_57"
            android:layout_height="match_parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/im_course"
                android:layout_width="@dimen/dp_57"
                android:layout_height="@dimen/dp_57"
                android:layout_marginTop="19dp"
                android:background="@drawable/icon_message_tab_course"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_course"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="19dp"
                android:text="课程信息"
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_12"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent" />

            <TextView
                android:id="@+id/tv_course_unread"
                android:layout_width="wrap_content"
                android:layout_height="@dimen/dp_14"
                android:layout_marginBottom="10dp"
                android:background="@drawable/bg_unread_red"
                android:gravity="center"
                android:minWidth="@dimen/dp_14"
                android:paddingLeft="4dp"
                android:paddingRight="4dp"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_11"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@+id/im_course"
                app:layout_constraintRight_toRightOf="@+id/im_course"
                tool:text="1"
                tool:visibility="visible" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_system"
            android:layout_width="@dimen/dp_57"
            android:layout_height="match_parent"
            android:layout_marginRight="@dimen/dp_42"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/im_system"
                android:layout_width="@dimen/dp_57"
                android:layout_height="@dimen/dp_57"
                android:layout_marginTop="19dp"
                android:background="@drawable/icon_message_tab_system"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_system"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="19dp"
                android:text="系统消息"
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_12"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent" />

            <TextView
                android:id="@+id/tv_system_unread"
                android:layout_width="wrap_content"
                android:layout_height="@dimen/dp_14"
                android:layout_marginBottom="10dp"
                android:background="@drawable/bg_unread_red"
                android:gravity="center"
                android:minWidth="@dimen/dp_14"
                android:paddingLeft="4dp"
                android:paddingRight="4dp"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_11"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@+id/im_system"
                app:layout_constraintRight_toRightOf="@+id/im_system"
                tool:text="1"
                tool:visibility="visible" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>


    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_108"
            android:background="@drawable/bg_message_list_gradient" />


        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/refreshLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <com.scwang.smart.refresh.header.ClassicsHeader
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:overScrollMode="never"
                android:scrollbars="none" />
        </com.scwang.smart.refresh.layout.SmartRefreshLayout>
    </RelativeLayout>
</LinearLayout>